> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Payments

Retrieves all Payment objects.

## HTTP Request

`GET https://api.vindicia.com/payments`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| limit | 20 | A limit on the number of objects to be returned, between 1 and 100. | No |
| starting\_after | none | A cursor for use in pagination. starting\_after is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj\_foo, your subsequent call can include starting\_after=obj\_foo in order to fetch the next page of the list. | No |
| ending\_before | none | A cursor for use in pagination. ending\_before is an object **id** that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj\_bar, your subsequent call can include ending\_before=obj\_bar in order to fetch the previous page of the list. | No |

## Accepts

None.

## Returns

JSON - A *list* array with a data property that contains an array of up to limit [Payments](Payments), starting after the specified starting\_after Payment (or ending before the specified ending\_before Payment). Each entry in the array is a full Payment object. If no more Payments are available, the resulting array will be empty. This request should never throw an error.

Also:

* “total\_count”: Integer count of the number of Payments in the returned list.

* “url”: The query string provided in the request

* “next”: The route (partial URL) to the next Payment object (string to select the “next”); included **id** should match that of the last object returned here

* “previous”: The route (partial URL) to the previous Payment object (string to select the “previous”); included **id** should match that of the first object returned here

## Example Request

```

curl -X GET  \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \ 
"https://api.staging.us-west.vindicia.com/payments?limit=3&starting_after=pay_1234"
```

The above command returns JSON structured like this:

```
{
    "object": "Payment",
    "id": "Custom_Payment_Test_Sep24_2",
    "vid": "2f9dd8c0a37bce4caaf968e3155c7c8dfe33f397",
    "created": "2020-09-24T18:56:17+00:00",
    "account": {
        "object": "Account",
        "id": "Account_1598296106",
        "vid": "e8e4cb766333b64e0560c7dcfc4b6ba5ed7bb2dd"
    },
    "subscription": {
        "object": "Subscription",
        "id": "Invoice_AB_24",
        "vid": "fa0cbfcd9b569ee3ac462a0a6e133b037fd8efd8"
    },
    "payment_method": {
        "object": "PaymentMethod",
        "id": "CC_1598296106",
        "vid": "d2c6dcf8e032431b31e46b344ae0e8098b846122"
    },
    "amount": 2,
    "currency": "USD",
    "transaction": {
        "object": "Transaction",
        "id": "SLD00000422",
        "vid": "5bb5d627db94472e54663afab65e24e8732ad9fc",
        "created": "2020-09-24T18:56:17+00:00",
        "amount": 2,
        "currency": "USD",
        "account": {
            "object": "Account",
            "id": "Account_1598292781",
            "vid": "146089ce6abc961a349f888c7be0c425c4b8764f",
            "created": "2020-08-24T18:13:01+00:00",
            "default_currency": "USD",
            "email": "sbakaraju@vindicia.com",
            "email_type": "html",
            "language": "EN",
            "notify_before_billing": true,
            "name": "Kayden Kling",
            "shipping_address": {
                "object": "Address",
                "vid": "7327060d0ba403621f80ef2c91a7a7cc0bbe2fa0",
                "line1": "2988 Campus Dr",
                "city": "San Mateo",
                "district": "CA",
                "postal_code": "94403",
                "country": "US"
            },
            "payment_methods": {
                "object": "List",
                "data": [
                    {
                        "object": "PaymentMethod",
                        "id": "CC_1598292781",
                        "vid": "1c15819d1c8cbe0650ee42c600dc05a6d4d88995",
                        "created": "2020-08-24T18:13:12+00:00",
                        "type": "CreditCard",
                        "credit_card": {
                            "object": "CreditCard",
                            "vid": "dc9b99622d3b58288bfbb24e5addd95f70c0aaa8",
                            "account": "411111XXXXXX1111",
                            "bin": "411111",
                            "last_digits": "1111",
                            "account_length": 16,
                            "expiration_date": "202005",
                            "last_au_request_date": null,
                            "last_update_date": null
                        },
                        "account_holder": "Gisselle Bartoletti",
                        "billing_address": {
                            "object": "Address",
                            "vid": "420a4f46556d2d3d8abc84a68317db3129d5a766",
                            "line1": "2988 Campus Dr",
                            "city": "San Mateo",
                            "district": "CA",
                            "postal_code": "94403",
                            "country": "US"
                        },
                        "customer_description": "Credit Card",
                        "primary": true,
                        "active": true
                    },
                    {
                        "object": "PaymentMethod",
                        "id": "1234",
                        "vid": "2ca2603c1df41936c4c644bc340a34fb7c627d6d",
                        "created": "2020-09-24T18:53:49+00:00",
                        "type": "MerchantAcceptedPayment",
                        "merchant_accepted_payment": {
                            "object": "MerchantAcceptedPayment",
                            "amount": 0,
                            "created": "2020-09-24T18:53:49+00:00",
                            "payment_type": "Unspecified",
                            "account": "XXX"
                        },
                        "account_holder": "Kayden Kling",
                        "billing_address": {
                            "object": "Address",
                            "vid": "f13c6069f0707e70f461c492bab5f7e6347da3bc"
                        },
                        "primary": false,
                        "active": true
                    }
                ],
                "total_count": 2
            }
        },
        "source_payment_method": {
            "object": "PaymentMethod",
            "id": "CC_1598296106",
            "vid": "d2c6dcf8e032431b31e46b344ae0e8098b846122",
            "created": "2020-08-24T19:08:28+00:00",
            "type": "CreditCard",
            "credit_card": {
                "object": "CreditCard",
                "vid": "dc9b99622d3b58288bfbb24e5addd95f70c0aaa8",
                "account": "411111XXXXXX1111",
                "bin": "411111",
                "last_digits": "1111",
                "account_length": 16,
                "expiration_date": "202001",
                "last_au_request_date": null,
                "last_update_date": null
            },
            "account_holder": "Phoebe Bogisich",
            "billing_address": {
                "object": "Address",
                "vid": "d7d8c695f7a02ff53577fa82cd77bb72dad58121",
                "line1": "2988 Campus Dr",
                "city": "San Mateo",
                "district": "CA",
                "postal_code": "94403",
                "country": "US"
            },
            "customer_description": "Credit Card",
            "primary": true,
            "active": true
        },
        "status_log": {
            "object": "List",
            "data": [
                {
                    "object": "TransactionStatus",
                    "status": "Captured",
                    "created": "2020-09-24T18:59:08+00:00",
                    "payment_method_type": "CreditCard",
                    "credit_card_status": {
                        "object": "TransactionStatusCreditCard",
                        "auth_code": "T00"
                    }
                },
                {
                    "object": "TransactionStatus",
                    "status": "Authorized",
                    "created": "2020-09-24T18:56:29+00:00",
                    "payment_method_type": "CreditCard",
                    "credit_card_status": {
                        "object": "TransactionStatusCreditCard",
                        "auth_code": "T00"
                    },
                    "note": "T00 - NA"
                },
                {
                    "object": "TransactionStatus",
                    "status": "New",
                    "created": "2020-09-24T18:56:18+00:00",
                    "payment_method_type": "MerchantAcceptedPayment"
                }
            ],
            "total_count": 3
        },
        "payment_processor": "Test",
        "payment_processor_transaction_id": "SLD00000422",
        "shipping_address": {
            "object": "Address",
            "vid": "7327060d0ba403621f80ef2c91a7a7cc0bbe2fa0",
            "line1": "2988 Campus Dr",
            "city": "San Mateo",
            "district": "CA",
            "postal_code": "94403",
            "country": "US"
        },
        "metadata": {
            "vin:BillingPlanUnit": "month",
            "VIN_PartialPaymentTxBId": "397725343",
            "vin:BillingPlanLength": "1",
            "vin:BillingPlanDurationInSeconds": "0",
            "vin:FutureAmount": "8.99"
        },
        "items": {
            "object": "List",
            "data": [
                {
                    "object": "TransactionItem",
                    "sku": "VIN_PartialTxBPayment",
                    "index_number": 1,
                    "item_type": "Purchase",
                    "name": "Partial Payment for Invoice Invoice_AB_24-00000000",
                    "price": 2,
                    "quantity": 1,
                    "tax_classification": "TaxExempt",
                    "service_period_starts": "2020-09-24T07:00:00+00:00",
                    "service_period_ends": "2020-10-23T07:00:00+00:00",
                    "tax_type": "Exclusive Sales",
                    "subtotal": 2,
                    "total": 2
                },
                {
                    "object": "TransactionItem",
                    "sku": "Total Tax",
                    "index_number": 2,
                    "item_type": "Purchase",
                    "name": "Total Tax",
                    "price": 0,
                    "quantity": 1,
                    "tax_classification": "TaxExempt",
                    "service_period_starts": "2020-09-24T07:00:00+00:00",
                    "service_period_ends": "2020-10-23T07:00:00+00:00",
                    "tax_type": "Exclusive Sales",
                    "discount": 0,
                    "subtotal": 0,
                    "total": 0
                }
            ],
            "total_count": 2
        },
        "billing_descriptor": "Bootcamp Subscription",
        "sales_tax_address": {
            "object": "Address",
            "vid": "c05c6c55fb4742a0f84461fff8d6bdfee950de8e",
            "line1": "2988 Campus Dr",
            "city": "SAN MATEO",
            "district": "CA",
            "postal_code": "94403",
            "country": "US"
        },
        "subscription_sequence": 1,
        "billing_plan_sequence": 1,
        "original_billing_date": "2020-09-24T07:00:00+00:00",
        "subscription": {
            "object": "Subscription",
            "id": "Invoice_AB_24",
            "vid": "fa0cbfcd9b569ee3ac462a0a6e133b037fd8efd8"
        },
        "cvn_checked": false
    },
    "status": "Success"
}
```

**Parent topic:**[Payments](../topics/Payments)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.